#ifndef BPSMAdvertisementAdMedia_h
#define BPSMAdvertisementAdMedia_h

#import <Foundation/Foundation.h>

//! Represents configuration for single ad media.
@interface BPSMAdvertisementAdMedia : NSObject

//! Url pointing to advertisement media file.
@property NSString *url;

//! Identifies the API needed to execute an interactive media file.
@property NSString *apiFramework;

//! Either “progressive” for progressive download protocols (such as HTTP) or “streaming” for streaming protocols.
@property NSString *delivery;

//! For progressive load video, the bitrate value specifies the average bitrate for the media file.
@property NSString *bitrate;

//! Native width of the video file, in pixels.
@property NSString *width;

//! Native height of the video file, in pixels.
@property NSString *height;

//! MIME type for the file container. Popular MIME types include, but are not limited to “video/xflv” for Flash Video and “video/mp4” for MP4.
@property NSString *type;

//! Creates instance with defined url.
+ (BPSMAdvertisementAdMedia *)newWithUrl: (NSString *) url;

- (NSDictionary *) toNSDictionary;

@end

#endif /* BPSMAdvertisementAdMedia_h */
