#ifndef BPSMMediaSource_h
#define BPSMMediaSource_h

#import <Foundation/Foundation.h>

//! Represents some video source (URL for file or stream).
@interface BPSMMediaSource : NSObject

//! Content type name.
@property NSString *contentType;

//! URL pointing to media asset.
@property NSString *url;

//! Bitrate of media asset.
@property NSNumber *bitrate;

//! Width of media asset in pixels.
@property NSNumber *width;

//! Height of media asset in pixels.
@property NSNumber *height;

+ (BPSMMediaSource *) newFromNSDictionary: (NSDictionary *)dict;

- (NSDictionary *) toNSDictionary;

@end

#endif /* BPSMMediaSource_h */
